Get Resource Filters
Returns the Resource filters in context of given user.
Request
URI
GET
https://{api_host}/deployment/api/resources/filters
COPY
Query Parameters
string of
array
resourceTypes
Optional
A comma-separated list. Only Resources with these types will be included in the results.
Responses
200
OK
Returns
FilterSchema
of type(s)
application/json
{
"filters": [
{
"content": [
{
"count": 0,
"id": "string",
"name": "string"
}
],
"empty": false,
"first": false,
"id": "string",
"last": false,
"name": "string",
"number": 0,
"numberOfElements": 0,
"pageable": {
"offset": 0,
"pageNumber": 0,
"pageSize": 0,
"paged": false,
"sort": [
{
"ascending": false,
"direction": "string",
"ignoreCase": false,
"nullHandling": "string",
"property": "string"
}
],
"unpaged": false
},
"size": 0,
"sort": [
{
"ascending": false,
"direction": "string",
"ignoreCase": false,
"nullHandling": "string",
"property": "string"
}
],
"type": "string"
}
]
}
array of
object
filters
Optional
filters
401
Unauthorized
Returns
FilterSchema
of type(s)
application/json
"FilterSchema Object"
array of
object
filters
Optional
filters
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/deployment/api/resources/filters